Bug 213233 - devel should require main package with %{version}-%{release}
devel should require main package with %{version}-%{release}
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: isdn4k-utils (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-31 07:34 EST by Patrice Dumas
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-13 06:08:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2006-10-31 07:34:46 EST
Description of problem:

For devel, instead of 
Requires: %{name} = %{version}
it should be (except very rare cases, I have never seen one)
Requires: %{name} = %{version}-%{release}

Besides it is not only theoretical in this case, a yum update isdn4k-utils
only updates the main package and there is no libcapi20.so anymore...

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ngo Than 2006-11-13 06:08:14 EST
it's fixed in isdn4k-utils-3_2-52_fc7. Thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.